* {
    box-sizing: border-box;
}

body,
html {
    margin: 0;
    padding: 0;
    height: 100%;
    color: white !important;
    background-image: url(../../static/images/output-onlinepngtools.png);
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
    background-attachment: fixed;
    display: flex;
    flex-direction: column;
	position: relative;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7); /* Adjust the opacity here */
    z-index: 0;
}

.navbar {
    height: 130px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 50px;
    background-color: transparent !important;
}

.logo img {
    width: 170px;
    height: auto;
    margin-left: 50px;
}

.nav-links {
    display: flex;
    gap: 20px;
}

.nav-btn:hover, .dropbtn:hover {
    color: white;
    text-decoration: underline;
    transition: 0.5;
}

.nav-btn {
    padding: 10px 20px;
    text-decoration: none;
    color: white;
    transition: background-color 0.3s ease;
}

.nav-btn, .dropbtn {
    margin-top: 10px;
    font-size: 20px;
    text-transform: uppercase;
}

.navbar a, button {
    font-size: 20px;
}

.dropdown-content {
    position: relative;
}

.dropbtn {
    padding: 10px 20px;
    background-color: rgba(0, 0, 0, 0);
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    min-width: 160px;
    z-index: 1;
    border-radius: 5px;
}

#pocetna-drop {
    background-color: rgba(0, 0, 0, 0.8);
}

.dropdown-content a {
    padding: 10px;
    display: block;
    text-align: left;
    color: white;
    text-decoration: none;
}

.dropdown-content a:hover {
    background-color: rgba(255, 255, 255, 0.3);
    color: white;
    text-decoration: none;
    border: solid 2px white ;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.container {
    flex-grow: 1; /* This makes the container grow to fill the available space */
    display: flex;
    justify-content: center;
    align-items: center;
}

.user_card {
    width: 400px;
    background: rgba(21, 21, 21, 0.850);
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    padding-bottom: 20px;
    box-shadow: 0 0 30px rgb(0, 0, 0);
	border: rgba(64, 64, 64, 0.5) solid 2px;
    border-radius: 20px;
}

.form_container {
    margin-top: 20px;
}

#form-title {
    color: rgb(255, 255, 255);
    margin-top: 20px;
}

.login_btn {
    margin-top: 15px;
    width: 100%;
    background: #f68f20e3 !important;
    color: white !important;
    font-weight: 600;
    border-radius: 10px;
}

.login_btn:focus {
    box-shadow: none !important;
    outline: 0px !important;
}

.login_btn:hover {
    color: white !important;
    background: #824412ed !important;
    text-decoration: none;
}

.login_container {
    padding: 0 2rem;
}

.input-group-text {
    background: #ffffff !important;
    color: rgb(0, 0, 0) !important;
    border: 0 !important;
    border-radius: 0.25rem 0 0 0.25rem !important;
}

.input_user,.input_pass:focus {
    box-shadow: none !important;
    outline: 0px !important;
}

.ml-2 {
    text-decoration: none;
    font-weight: 700;
    color: white;
}

.ml-2:hover {
    color: #f6d220e3;
    text-decoration: none;
    color: #f68f20e3;
}

#messages {
    background-color: grey;
    color: #fff;
    padding: 10px;
    margin-top: 10px;
}

footer {
    background-color: transparent;
    color: #ffffff;
    padding: 20px;
    padding-top: 40px;
    text-align: center;
    width: 100%;
    margin-top: auto;
}

footer a {
    color: #66ccff; 
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}

.container, .navbar, footer {
    position: relative;
    z-index: 1;
}